#############################################################################################
# A gnuplot script to plot the function
#                 f(x) = exp(x) from 0 to 1.
#
#          written by Thomas L. Gibson  October 16, 2013
#############################################################################################
f(x) = exp(x)
set nokey
set title "Integrand for Example"
set label 1 "f(x) = e^x" at 0.2, 1.5 left
set xlabel "x"
set ylabel "f(x)"
plot [0:1] [0:3] f(x) lw 3 lc rgb 'red'
pause -1 "Hit return to make integrand_for_example.ps or cntl c to exit."
set terminal postscript enhanced
set output "integrand_for_example.ps"
replot
reset
exit



