//////////////////////////////////////////////////////////////////////////
// This is a short piece of code to determine
// machine precision for floating point 
// calculations.
//               thomas l. gibson September 10, 2002
//////////////////////////////////////////////////////////////////////////
#include <cstdlib>
#include <iostream>
using namespace std;
int main() 
{
  double mach_ps;
  long double lmach_ps;
  mach_ps = 1.0;
  lmach_ps = 1.0;
  system("clear");
  while((1.0 + mach_ps) > 1.0) 
  {
    mach_ps *= 0.5;
  }
  mach_ps *= 2.0;
  cout << "Machine precision = " << mach_ps << "\n";
  cout << "A double is " << sizeof(mach_ps) << " bytes long\n";

  while((1.0 + lmach_ps) > 1.0) 
  {
    lmach_ps *= 0.5;
  }
  lmach_ps *= 2.0;
  cout << "\n\nLong Double Machine precision = " << lmach_ps << "\n";
  cout << "A long double is " << sizeof(lmach_ps) << " bytes long\n";

  return EXIT_SUCCESS;
}
