//////////////////////////////////////////////////////////////////////////
// This program is designed to print the maximum signed
// integer, given a 32-bit representation, as well as the
// maximum long integer given a 64-bit representation.
// This should be 2^31 - 1 and 2^63-1, respectively.
// We shall see.
//
//                 thomas l. gibson  August 25, 2010
//////////////////////////////////////////////////////////////////////////
#include <cstdlib>
#include <cmath>
#include <iostream>
using namespace std;

int main()
{
  char alpha;                          // Declare a character variable
  int n, max, t2nth;                   // Declare signed int variables
  long int lmax,lt2nth;                // Declare long int variables
  double dmax;                         // Declare double dmax
  alpha = 'a';                         // Initialize variable alpha
  max = 0;                             // Initialize variable max
  lmax = 0;                            // Initialize variable lmax
  system("clear");
  cout << "Character variable alpha = "
       << alpha << "\n";
  cout << "A char is " << sizeof(alpha) 
       << " bytes long\n\n";
  for(n = 0; n < 31; n++)              // nmax=30 signed
  {
    t2nth = (int) pow(2.0,n);          // Compute 2^n
    cout << "For n = " << n 
         << "\t 2^nth = " << t2nth 
         << "\n";                      // print 2^nth
    max += t2nth;                      // Compute 2^0th + 2^1st + ... 2^nth
  }
  cout << "The maximum integer is " << max << endl;
  cout << " \n";
  cout << "An int is " << sizeof(max) << " bytes long\n\n";

  for(n = 0; n < 63; n++)              // nmax=62 signed
  {
    lt2nth = (long int) pow(2.0,n);    // Compute 2^n
    cout << "For n = " << n 
         << "\t 2^nth = " << lt2nth 
         << "\n";                      // print 2^nth
    lmax += lt2nth;                    // Compute 2^0th + 2^1st + ... 2^nth
  }
  cout << "The maximum long integer is " << lmax << endl;
  cout << " \n";
  cout << "A long int is " << sizeof(lmax) << " bytes long\n";
  cout << "A double is " << sizeof(dmax) << " bytes long\n";
  return EXIT_SUCCESS;
}
