#############################################################################################
# A gnuplot script to plot the function
#                 f(x) = x^2 - 4
#
#          written by Thomas L. Gibson  April 12, 2011
#############################################################################################
f(x) = x*x -4
z(x) = 0
set nokey
set title "Root Finding"
set label 1 "f(x) = x^2 -4" at -2.0, 20 left
set xlabel "x"
set ylabel "f(x)"
plot [-8:8] [-5:30] z(x) lw 2 lc rgb 'black', f(x) lw 3 lc rgb 'red'
pause -1 "Hit return to make newton_raphson_ex.ps or cntl c to exit."
set terminal postscript enhanced
set output "newton_raphson_ex.ps"
replot
reset
exit



