/* Program to run the quadratic formula through */

#include<stdio.h>
#include<math.h>

void standard_quadratic(float a, float b, float c, float *root1, float *root2)
{
  *root1=-(b+sqrt(b*b-4*a*c))/(2*a);
  *root2=-(b-sqrt(b*b-4*a*c))/(2*a);
  return;
}

float parabola(float a,float b,float c,float x)
{
  float y;
  y=a*x*x+b*x+c;
  return y;
}

void viete_formula(float a, float b, float c, float *root1, float *root2)
{
  /* We have two relations: x_1+x_2 = -b/a, and x_1*x_2=c/a */ 
  /* Let's find the first good root */
  if (b>=0) 
    {
      *root1=-(b+sqrt(b*b-4*a*c))/(2*a);
      *root2=c/(a*(*root1));
    }
  else
    {
      *root1=-(b-sqrt(b*b-4*a*c))/(2*a);
      *root2=c/(a*(*root1));      
    }
  return;
  }

main()
{
  float a,b,c,y;
  float root1,root2;
  printf("Enter a,b,c for the parabola.\n");
  scanf("%f %f %f",&a,&b,&c);
  standard_quadratic(a,b,c,&root1,&root2);
  printf("For the standard quadratic, the roots are: %f %f\n",root1,root2);
  printf("For the roots times 10^5 are: %f %f\n",1e5*root1,1e5*root2);
  y=parabola(a,b,c,root1);
  printf("Putting first value back in gives %f\n",y);
  y=parabola(a,b,c,root2);
  printf("Putting second value back in gives %f\n",y);
  viete_formula(a,b,c,&root1,&root2);
  printf("For the standard quadratic, the roots are: %f %f\n",root1,root2);
  printf("For the roots times 10^5 are: %f %f\n",1e5*root1,1e5*root2);
  printf("Putting first value back in gives %f\n",y);
  y=parabola(a,b,c,root2);
  printf("Putting second value back in gives %f\n",y);
  viete_formula(a,b,c,&root1,&root2);
}




